org.apache.uima.resource.metadata

## Interface OperationalProperties

- All Known Implementing Classes:
    OperationalProperties_impl

      public interface OperationalProperties

  Operational Properties for a UIMA component.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getModifiesCas()` Gets whether this component will modify the CAS.
    `boolean` | `getOutputsNewCASes()` Gets whether this AnalysisEngine may output new CASes.
    `boolean` | `isMultipleDeploymentAllowed()` Gets whether multiple instances of this component can be run in parallel, each receiving a subset of the documents from a collection.
    `void` | `setModifiesCas(boolean aModifiesCas)` Sets whether this component will modify the CAS.
    `void` | `setMultipleDeploymentAllowed(boolean aMultipleDeploymentAllowed)` Sets whether multiple instances of this component can be run in parallel, each receiving a subset of the documents from a collection.
    `void` | `setOutputsNewCASes(boolean aOutputsNewCASes)` Sets whether this AnalysisEngine may output new CASes.

- - ### Method Detail

    - #### getModifiesCas

          boolean getModifiesCas()

      Gets whether this component will modify the CAS.
      Returns:
        true if this component modifies the CAS, false if it does not.

    - #### setModifiesCas

          void setModifiesCas(boolean aModifiesCas)

      Sets whether this component will modify the CAS.
      Parameters:
        `aModifiesCas` - true if this component modifies the CAS, false if it does not.

    - #### isMultipleDeploymentAllowed

          boolean isMultipleDeploymentAllowed()

      Gets whether multiple instances of this component can be run in parallel, each receiving a subset of the documents from a collection.
      Returns:
        true if multiple instances can be run in parallel, false if not

    - #### setMultipleDeploymentAllowed

          void setMultipleDeploymentAllowed(boolean aMultipleDeploymentAllowed)

      Sets whether multiple instances of this component can be run in parallel, each receiving a subset of the documents from a collection.
      Parameters:
        `aMultipleDeploymentAllowed` - true if multiple instances can be run in parallel, false if not

    - #### getOutputsNewCASes

          boolean getOutputsNewCASes()

      Gets whether this AnalysisEngine may output new CASes. If this property is set to true, an application can use the `AnalysisEngine.processAndOutputNewCASes(CAS)` to pass a CAS to this this AnalysisEngine and then step through all of the output CASes that it produces. For example, such an AnalysisEngine could segment a CAS into smaller pieces, emitting each as a separate CAS.
      Returns:
        true if this component may output new CASes, false if it does not

    - #### setOutputsNewCASes

          void setOutputsNewCASes(boolean aOutputsNewCASes)

      Sets whether this AnalysisEngine may output new CASes. If this property is set to true, an application can use the `AnalysisEngine.processAndOutputNewCASes(CAS)` to pass a CAS to this this AnalysisEngine and then step through all of the output CASes that it produces. For example, such an AnalysisEngine could segment a CAS into smaller pieces, emitting each as a separate CAS.
      Parameters:
        `aOutputsNewCASes` - true if this component may output new CASes, false if it does not

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.